seems to be pretty easy code. got no errors. but something causing catia to terminate. any ideas?
can do that using titleblock macro but i want a little bit of customization using user form window.
main code
form
and the code inside the form
can do that using titleblock macro but i want a little bit of customization using user form window.
main code
Code:
Sub CATMain()
ChangeRoughnessValue.Show (0)
End Sub
form
and the code inside the form
Code:
Private Sub ChangeRoughness_Click()
Dim drawingDocument1 As DrawingDocument
Set drawingDocument1 = CATIA.ActiveDocument
Dim selection1 As selection
Set selection1 = drawingDocument1.selection
'----SEARCH FOR A TEXT---
selection1.Search "Name=*TitleBlock_Text_125,all"
'---END OF SEARCH---
If CheckAAA.Value = True Then
selection1.Item(1).Text = "1234"
End If
'End If
End Sub
Private Sub CheckAAA_Click()
End Sub